Bug 118236 - CONFIG_NVRAM not set - dmasound_pmac requires
CONFIG_NVRAM not set - dmasound_pmac requires
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
powerpc Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-03-14 03:02 EST by Paul Nasrat
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-06-24 09:45:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Paul Nasrat 2004-03-14 03:02:38 EST
Description of problem:

On install after successfull build depmod picks up various issues:

WARNING:
/lib/modules/2.6.3-2.1.253.pauln/kernel/sound/oss/dmasound/dmasound_pmac.ko
needs unknown symbol pmac_xpram_read

Version-Release number of selected component (if applicable):

2.6.3-2.1.253

How reproducible:

Always

Steps to Reproduce:
1. rpmbuild --rebuild kernel-2.6.3-2.1.253.src.rpm
2. rpm -ivh kernel-2.6.3-2.1.253.ppc.rpm

  
Actual results:

Observe errors including that for dmasound_pmac
Expected results:


Additional info:

kernel-2.6.3-ppc.config 
CONFIG_NVRAM=y

Did kernel-2.6.3-ppc.config come from a make pmac_defconfig?
Comment 1 Colin Charles 2004-06-24 09:45:45 EDT
In 2.6.6-1.435, this is already fixed, and CONFIG_NVRAM=y is set in
the config (verified by /boot/config-2.6.6-1.435)

Note You need to log in before you can comment on or make changes to this bug.